MENU BarPosition
{
	LABEL [Actuator_Position];
	STYLE PAGE;
	ITEMS
	{
		chartHorBar,
		
	}
}

MENU BarTorque
{
	LABEL [Running_Torque];
	STYLE PAGE;
	ITEMS
	{
		chartHorBar2,
		
	}
}
CHART chartHorBar
{
	LABEL "Horizontal Bargraph";
	TYPE HORIZONTAL_BAR;
	MEMBERS
	{
		SOURCE1, chartsource1;
	}
}
CHART chartHorBar2
{
	LABEL "Horizontal Bargraph";
	TYPE HORIZONTAL_BAR;
	MEMBERS
	{
		SOURCE1, chartsource2;
	}
}

SOURCE chartsource1
{
	LABEL "source 1";
	Y_AXIS chartyaxis1;
	MEMBERS
	{
		VALUE1, Actuator_Position;
	}
}
SOURCE chartsource2
{
	LABEL "source 1";
	Y_AXIS chartyaxis2;
	MEMBERS
	{
		VALUE1, Running_Torque;
	}
}
AXIS chartyaxis1
{
	LABEL "yaxis 1";
	MIN_VALUE	varChart1LRV;
	MAX_VALUE	varChart1URV;
}
AXIS chartyaxis2
{
	LABEL "yaxis 1";
	MIN_VALUE	varChart1LRV;
	MAX_VALUE	varChart2URV;//150%
}


VARIABLE varChart1Value
{
	LABEL "Position";
	TYPE FLOAT
	{
		DEFAULT_VALUE 30;
		DISPLAY_FORMAT ".2f";
		MIN_VALUE 0.0;
		MAX_VALUE 100.0;
	}
	CLASS DYNAMIC;
}

VARIABLE varChart2Value
{
	LABEL "Torque";
	TYPE FLOAT
	{
		DEFAULT_VALUE 130;
		DISPLAY_FORMAT ".2f";
		MIN_VALUE 0.0;
		MAX_VALUE 150.0;
	}
	CLASS DYNAMIC;
}
VARIABLE varChart1LRV
{
	LABEL "LRV";
	TYPE FLOAT
	{
		DEFAULT_VALUE 0;
		DISPLAY_FORMAT ".1f";
	}
}

VARIABLE varChart1URV
{
	LABEL "URV";
	TYPE FLOAT
	{
		DEFAULT_VALUE 100;
		DISPLAY_FORMAT ".1f";
	}
}
VARIABLE varChart2URV
{
	LABEL "URV";
	TYPE FLOAT
	{
		DEFAULT_VALUE 150;
		DISPLAY_FORMAT ".1f";
	}
}

VARIABLE varUnitChart1
{
	LABEL "unit";
	TYPE ENUMERATED
	{
		{32, "%"}
		
	}
	PRE_EDIT_ACTIONS
	{
		//Pre_Edit_Act_Unit;
	}
	REFRESH_ACTIONS
	{
		//Refresh_Act_Unit;
	}
}


METHOD Pre_Edit_Act_Unit
{
	LABEL		" ";
	ACCESS		OFFLINE;
	DEFINITION
	{
		ACKNOWLEDGE ("Pre Edit Action Unit");
	}
}

METHOD Refresh_Act_Unit
{
	LABEL		" ";
	ACCESS		OFFLINE;
	DEFINITION
	{
		ACKNOWLEDGE ("Refresh Action Unit");
	}
}

UNIT unitChart1
{
	varUnitChart1:
		varChart1LRV,
		varChart1URV,
		varChart1Value, 
		varAct1, 
		var002
}

